package com.realnet.basicp1.Services;
import java.util.*;
import com.realnet.basicp1.Repository.SelectallRepository;
import com.realnet.basicp1.Entity.Selectall;

import com.realnet.basicp1.Entity.Selectall_ListFilter1;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
	import org.springframework.stereotype.Service;

@Service
 public class Selectall_ListFilter1Service {
@Autowired
private SelectallRepository Repository;




 public   List<Selectall_ListFilter1>   getlistbuilder() {
	List<Selectall> list= Repository.findAll();
		ArrayList<Selectall_ListFilter1> l = new ArrayList<>();
		for (Selectall data : list) {
{	
Selectall_ListFilter1 dummy = new Selectall_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
	l.add(dummy);
} 
} 		
return l;}



 public   List<Selectall_ListFilter1>   getlistbuilderparam( ) {
	List<Selectall> list= Repository.findAll();
		ArrayList<Selectall_ListFilter1> l = new ArrayList<>();
		for (Selectall data : list) {
{	
Selectall_ListFilter1 dummy = new Selectall_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
	l.add(dummy);
} 
} 		
return l;}
}